Summary: A C library for multiple-precision floating-point computations
Name: mpfr
Version: 4.0.1
#Release: 1%{?_dist_release}
Release: 10.13%{?_dist}1a
URL: http://www.mpfr.org/
Source0: http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.gz
Patch1: allpatches

License: LGPLv2+ and GPLv2+ and GFDL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gmp-devel
Requires: gmp >= 4.2.3
Vendor:       OSX WorkShop
Distribution: OSX WorkShop

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package devel
Summary: Development tools A C library for mpfr library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The static libraries, header files and documentation for using the MPFR 
multiple-precision floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package.  You'll also need to
install the mpfr package.

%prep
%setup -q

#%patch1 -p1

%build
export CPPFLAGS="-arch x86_64 -I%{_includedir}"
export CFLAGS="-Os -arch x86_64 -mtune=core2 -I%{_includedir}"
export CXXFLAGS="$CFLAGS"
export LDFLAGS="-arch x86_64 -L%{_libdir}"
%configure --disable-assert \
	--host=%{_rpm_platform64} \
	--build=%{_rpm_platform64} \
	--target=%{_rpm_platform64} \

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot}

#pushd $RPM_BUILD_ROOT%{_infodir}
#iconv  -f iso-8859-1 -t utf-8 mpfr.info >mpfr.info.aux
#iconv  -f iso-8859-1 -t euc-jp mpfr.info >mpfr.info.aux
#mv mpfr.info.aux mpfr.info
#popd
rm -f $RPM_BUILD_ROOT%{_libdir}/libmpfr.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_libdir}/libmpfr.a
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/mpfr
cd ..

#%%check
#make %{?_smp_mflags} check

%post devel
/usr/bin/install-info %{_infodir}/mpfr.info.gz %{_infodir}/dir || :

%preun devel
if [ "$1" = 0 ]; then
   /usr/bin/install-info --delete %{_infodir}/mpfr.info.gz %{_infodir}/dir || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel,-)
%doc AUTHORS BUGS COPYING* ChangeLog FAQ* INSTALL 
%doc NEWS PATCHES README TODO VERSION examples
%{_libdir}/libmpfr.*.dylib

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmpfr.dylib
%{_includedir}/*.h
%{_infodir}/mpfr.info*

%changelog
* Mon Apr 02 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 4.0.1-10.13hepx1a
- new upstream release
- OSXWS 10.13

* Fri Dec 15 2017 KOBAYASHI Taizo <tkoba965@me.com> 3.1.6-1
- new upstream release
- OSXWS 10.13

* Sat Dec 03 2016 KOBAYASHI Taizo <tkoba965@me.com> 3.1.5-1
- new upstream release
- OSXWS 10.12

* Thu Dec 10 2015 KOBAYASHI Taizo <tkoba965@me.com> 3.1.3-1
- new upstream release
- OSXWS 10.11

* Wed Apr 10 2013 KOBAYASHI Taizo <tkoba965@me.com> 3.1.2-1
- new upstream release
- OSXWS 10.8

* Fri Feb 03 2012 KOBAYASHI Taizo <tkoba965@me.com> 3.1.0-1
- new upstream release
- OSXWS 10.7

* Mon Aug 30 2010 KOBAYASHI Taizo <tkoba965@me.com> 3.0.0-1
- new upstream release
- build with gmp-5.0.1

* Wed Feb 10 2010 KOBAYASHI Taizo <tkoba965@me.com> 2.4.2-1
- new upstream release
- OSXWS 10.6

* Fri Jan 11 2008 KOBAYASHI Taizo <tkoba965@mac.com> 2.3.0-10.5osx0
- modfide for OSXWS

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.3.0-1vl1
- initial build for Vine Linux

* Thu Sep 20 2007 Ivana Varekova <varekova@redhat.com> 2.3.0-1
- update to 2.3.0
- fix license flag

* Mon Aug 20 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-2
- spec file cleanup (#253440)

* Mon Jan 16 2007 Ivana Varekova <varekova@redhat.com> 2.2.1-1
- started

